diff --git a/cicd_testing/do-fuzz.sh b/cicd_testing/do-fuzz.sh
index 70122ca28440726fad3eec7f5ef0ae3d4ce306cd..e89c462eb4be9755eb3929eb311b2b71cb29a2ee 100755
--- a/cicd_testing/do-fuzz.sh
+++ b/cicd_testing/do-fuzz.sh
@@ -2,6 +2,8 @@
 
 function main()
 {
+	set -e 
+	set -x
 	# build software
 	git submodule sync --recursive
 	git submodule update --recursive --init